c
c	mydata.f 1.4 92/07/01 15:24:20
c
c  Copyright 1991 Intel Corporation, Inc.
c  See the "Copyright" file for complete rights and liability information.
c
c  Reads the file /cfs/mydata to verify that the programs defined
c  in the files "forceflush.f" and "forflush.f" worked as expected.
c
c  Can run on a multi-node cube, but only node 0 does anything.

      integer iam
      integer list(100)

c  Identify self.

      iam = mynode()

c  Node 0 does all the work.

      if(iam .eq. 0) then

c    Open file named "mydata."

         open(unit   = 12,
     1        file   = '/cfs/mydata',
     2        status = 'old',
     3        form   = 'unformatted')

c    Read list.

         read(12) (list(i), i = 1,100)

c    Display the data.

         do 1, i = 1, 100
            write(*, 130) i, list(i)
130         format('list(', i3, ') = ', i3)
1        continue

      endif

      end
